hpialarms(1)

NAME
hpialarms - A openhpi sample application that shows "Alarm Control" management instruments

SYNOPSIS
 hpialarms [-D id] [-N host[:port]] [-C <cfgfile>]
           [-a 1|0][-b 1|0][-c 1|0][-m 1|0][-n 1|0][-p 1|0][-i n][-o][-X][-h]
 hpialarms [--domain=id] [--host=host[:port]] [--cfgfile=file]
           [--diska=1|0] [--diskb=1|0] [--critical=1|0] [--major=1|0]
           [--minor=1|0] [--power=1|0] [--chassisid=n] [--all] [--debug] [--help]

DESCRIPTION
hpialarms walks the RPT (Resource Presence Table) for resources that have "Alarm Control" management instruments (SAHPI_CTRL_LED).

If no domain or host is selected, hpialarms uses the default domain as specified in the openhpiclient.conf file.

OPTIONS
(No Option) Display alarm states

  Help Options:

-h, --help
    Show help options

  Application Options:

-c 1|0, --critical=1|0
    Set critical alarm on|off

-m 1|0, --major=1|0
    Set major alarm on|off

-n 1|0, --minor=1|0
    Set minor alarm on|off

-a 1|0, --diska=1|0
    Set diska alarm on|off

-b 1|0, --diskb=1|0
    Set diskb alarm on|off

-p 1|0, --power=1|0
    Set power alarm on|off

-i n, --chassisid=n
    Set chassis id on for n seconds

-o, --all
    Set all alarms off

-D nn, --domain=nn
    Select domain id nn

-X, --debug
    Display debug messages

-N "host[:port]", --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables. If host contains ':' (for example IPv6 address) then enclose it in square brackets. For example: "[::1]" or "[::1]:4743".

-C "file", --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

SAMPLE OUTPUT
 hpialarmpanel ver 0.6
 RptInfo: UpdateCount = 5, UpdateTime = 8a2dc6c0
 rptentry[0] resourceid=1 tag: Mullins
 RDR[45]: ctltype=2:1 oem=0  Chassis Identify Control
 RDR[48]: ctltype=0:1 oem=10 Front Panel Power Alarm LED         state = off
 RDR[51]: ctltype=0:1 oem=13 Front Panel Minor Alarm LED         state = ON
 RDR[46]: ctltype=0:0 oem=0  Cold Reset Control
 RDR[49]: ctltype=0:1 oem=11 Front Panel Critical Alarm LED      state = off
 RDR[50]: ctltype=0:1 oem=12 Front Panel Major Alarm LED         state = off

SEE ALSO
         hpi_shell
         hpidomain      hpigensimdata  hpireset       hpitop
         hpiel          hpiinv         hpisensor      hpitree
         hpievents      hpionIBMblade  hpisettime     hpiwdt
         hpifan         hpipower       hpithres       hpixml
         ohdomainlist   ohhandler      ohparam

AUTHORS
Authors of this man page:

 Peter D Phan (pdphan@users.sourceforge.net)
 Ulrich Kleber (ulikleber@users.sourceforge.net)
 Anton Pak (avpak@users.sourceforge.net)